BEGIN; 

 DROP TABLE IF EXISTS mapping.as_update; 
CREATE TABLE mapping.as_update (asnumber BIGINT NOT NULL PRIMARY KEY,asname VARCHAR(255) NOT NULL, ascolor VARCHAR(6), description VARCHAR(255), edited BOOLEAN DEFAULT FALSE); 

INSERT INTO mapping.as_update (asname,description,asnumber) values ('TWG-DEMO-AS', 'Attachmate Corp.', 82);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('TWG-NET-AS', 'Attachmate Corp.', 254);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('BACOM', 'Bell Canada', 577);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('BACOM2-AS', 'Bell Canada', 603);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('CANET-ASN-4', 'Bell Canada', 855);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('AOL-CORP', 'Oath Holdings Inc.', 1664);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('AOL-ATDN', 'Oath Holdings Inc.', 1668);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('AOL-1682-AS', 'Oath Holdings Inc.', 1682);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('PRODIGY', 'AT&T Corp.', 1698);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('WNET', 'WNET TELECOM USA Corp.', 1820);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('AOL-AS', 'Oath Holdings Inc.', 2056);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('ATTIS-ASN3421', 'AT&T Corp.', 3421);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('BPC-ASN', 'Berry Global Inc', 3660);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('LTVIAS', 'FIBERNETICS CORPORATION', 3812);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('ATTIS-ASN4185', 'AT&T Corp.', 4185);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('ATTIS-ASN4473', 'AT&T Corp.', 4473);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('POLYVORE', 'Oath Holdings Inc.', 4866);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('TELUS-AS-5765', ' ', 5765);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('COMCAST-6161', 'Comcast Cable Communications, LLC', 6161);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('RISE-IA-3', 'JAB Wireless, INC.', 6243);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('ASN-CXA-PH-6298-CBS', ' ', 6298);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('AS-PAETEC-NET', 'PaeTec Communications, Inc.', 6316);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('COFFEYCAN', ' ', 6531);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('ALIANT-AS', 'Bell Canada', 6608);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('NACS-AS6954', 'New Age Consulting Service, Inc.', 6954);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('CCCH-3', ' ', 7016);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('WOW-INTERNET', ' ', 7265);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('LOOKAS', 'FIBERNETICS CORPORATION', 7271);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('PBI-NET-BLK2', 'AT&T Corp.', 7287);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('SBIS-BLK', 'AT&T Corp.', 7292);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('TELUS-AS-7445', ' ', 7445);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('COMCAST-7725', ' ', 7725);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('BTGCOM', 'L3 Technologies, Inc.', 7834);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('RACKSPACE', ' ', 10532);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('AOL-DTC2', 'Oath Holdings Inc.', 10593);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('AOL-DTC1', 'Oath Holdings Inc.', 10681);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('SBIS-ASN-BLK-2', 'AT&T Corp.', 10770);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('SBIS-ASN-BLK-2', 'AT&T Corp.', 10772);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('SBIS-ASN-BLK-2', 'AT&T Corp.', 10773);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('SBIS-ASN-BLK-2', 'AT&T Corp.', 10774);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('NTTDATA', 'NTT DATA Services, LLC', 10848);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('DLAS-ASN', 'Division of Legislative Automated Systems', 10924);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('COMCAST-HOUSTON', 'Comcast Cable Communications, LLC', 11025);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('MIDCONTINENT-COMMUNICATIONS', 'Midcontinent Communications', 11055);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('LOGIXCOMM-AS', ' ', 11215);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('AS-MSEA', 'Mitchell Seaforth Cable T. V. Ltd.', 11287);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('ICENET', 'WorldNet Telecommunications, Inc.', 11367);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('FREDERICK-MEMORIAL-HOSPITAL', 'Frederick Memorial Healthcare System', 11441);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('BACI', 'Bell Canada', 11489);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('VIANETWORKS11532', ' ', 11532);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('NACS-AS11573', 'New Age Consulting Service, Inc.', 11573);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('AOL-RTC2', 'Oath Holdings Inc.', 11630);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('AOL-DTC', 'Oath Holdings Inc.', 11631);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('TWC-11654-NA', 'Charter Communications Inc', 11654);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('YF-HQ-01', 'The Younique Foundation', 11665);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('ASN-INTERNAP-BLK', 'Internap Corporation', 11853);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('ASN-INTERNAP-BLK', 'Internap Corporation', 11854);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('LANDUSCOOPERATIVENA', 'Landus Cooperative', 11997);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('ASN-CXA-HR-12064-CBS', ' ', 12064);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('RACKSPACE', ' ', 12200);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('SBCIS-LUBKTX', 'AT&T Corp.', 13420);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('SBCIS-ABLNTX', 'AT&T Corp.', 13421);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('HJ-NET', 'Oath Holdings Inc.', 13533);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('TVC-AS1', 'First Light Fiber', 13536);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('ASN-THEPLANET-2', ' ', 13749);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('TELNETCOMM', 'FIBERNETICS CORPORATION', 13773);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('GREAT-PLAINS-COMMUNICATIONS', 'Great Plains Communications LLC', 13807);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('SNB-ASN', 'Safra National Bank Of New York', 14310);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('MNTN', 'Rogers Communications Canada Inc.', 14366);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('COMCAST-TELECOMM-6', ' ', 14668);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('ASN-CXA-OM-14710-CBS', ' ', 14710);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('INTERNAP-BLOCK-4', 'Internap Corporation', 14742);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('INTERNAP-BLOCK-4', 'Internap Corporation', 14744);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('INKTOMI-LAWSON', 'Oath Holdings Inc.', 14776);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('INKTOMI-LAWSON', 'Oath Holdings Inc.', 14777);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('INKTOMI-LAWSON', 'Oath Holdings Inc.', 14778);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('INKTOMI-LAWSON', 'Oath Holdings Inc.', 14779);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('INKTOMI-LAWSON', 'Oath Holdings Inc.', 14780);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('INKTOMI-LAWSON', 'Oath Holdings Inc.', 14781);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('AOL-MTC3', 'Oath Holdings Inc.', 14853);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('AOL-MTC2', 'Oath Holdings Inc.', 14854);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('AOL-MTC1', 'Oath Holdings Inc.', 14855);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('NACS-AS15043', 'New Age Consulting Service, Inc.', 15043);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('ALTAVISTA', 'Oath Holdings Inc.', 16515);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('ET-NET', 'Energy Transfer LP', 16801);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('BCIU-22', ' ', 16958);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('WILMINGTON-COLLEGE-OH', 'Wilmington College', 17013);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('WSD', ' ', 17355);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('BVIU27', ' ', 18572);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('STRATEGICSTAFFINGSOLUTIONS', 'Strategic Staffing Solutions, Inc.', 19346);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('LATECH', 'Louisiana Tech University', 19564);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('CSPIRE-MPLS-01', 'C Spire Fiber', 19565);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('EASTERN-AS-01', 'Eastern University', 19576);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('CABLEVISION-CORP', ' ', 19720);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('CCSD', ' ', 19870);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('BLAST-IU17', ' ', 20167);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('LHS', 'Legacy Health', 20352);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('BLUARC-COMMUNICATIONS', 'BluArc Communications Inc', 21552);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('DCCA-WALLINGFORD-DATA-CENTER', 'NTT DATA Services, LLC', 21576);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('TEMPESCHOOLS', ' ', 21810);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('ICT-ASN-01', 'Icarus Technologies', 21825);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('CALIX-TX-DAL', 'Calix, Inc.', 21827);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('PROJECT-ROVER-ASN', 'Oath Holdings Inc.', 22161);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('AS22182', 'LSG Sky Chefs', 22182);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('ASN-CXA-CF-22318-CBS', 'Cox Communications Inc.', 22318);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('NUCLEUS-INC-2', 'FIBERNETICS CORPORATION', 22404);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('CEI-COLLEGE-OF-EASTERN-IDAHO', 'College of Eastern Idaho', 22704);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('RACKSPACE-AUS', ' ', 22720);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('ASN-CXA-ALL-CCI-22773-RDC', ' ', 22773);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('CCHCANADA', 'Wolters Kluwer Canadian Limited', 22832);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('COMCAST-22909', 'Comcast Cable Communications, LLC', 22909);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('TMC', 'Texas Medical Center', 23218);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('COMCAST-23266', ' ', 23266);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('GLENBARD-HSD87', ' ', 23427);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('DCCA-PHOENIX-DATA-CENTER', 'NTT DATA Services, LLC', 23461);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('NETSPAN', 'Foremost Telecommunications Corporation', 23486);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('AOLTW-WMG-DE', 'Oath Holdings Inc.', 25723);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('ASN-CXA-GC-25904-CBS', ' ', 25904);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('PLATANUM', 'Platanum', 25988);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('ASN-CXA-PH-6298-CBS', ' ', 26146);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('ASN-CXA-RI-26204-CBS', 'Cox Communications Inc.', 26204);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('ASN-ALTAVISTA-CRWL', 'Oath Holdings Inc.', 26316);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('HIGHLANDS-CABLE', 'Highlands Cable Group', 26327);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('CHARTER-26368-NA', 'Charter Communications', 26368);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('AS-PALCOM', 'Pal Communications LLC', 26370);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('AS-26392', 'TE Connectivity Corporation', 26392);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('IKGUL-26484', 'Internet Keeper Global', 26484);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('NUCLEUS-INC', 'FIBERNETICS CORPORATION', 26546);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('REDUNDANT-INTERNET', 'Bountiful City', 26765);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('IVANTI-SJ', 'Ivanti, Inc.', 26979);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('RACKSPACE', ' ', 27357);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('WOW-INTERNET-CLV', 'WideOpenWest Finance LLC', 29780);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('AMC', 'Atlantic Metro Communications II, Inc.', 29838);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('CROWEHORWATH', 'Crowe LLP', 30491);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('LANDUSCOOPERATIVE', 'Landus Cooperative', 30545);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('ASN-CXA-SNTB-31771-CBS', ' ', 31771);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('TUMBLR-CORP', 'Oath Holdings Inc.', 32345);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('MONROE-1-BOCES', ' ', 32360);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('METROCAST-1', 'Atlantic Broadband Finance, LLC', 32448);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('TUCSON-UNIFIED-SCHOOL-DISTRICT-1', ' ', 32501);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('FULL-SERVICE-NETWORK', 'FULL SERVICE NETWORK LP', 32634);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('SYNAPSE', 'Synapse Data Solutions', 32704);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('CINC-NET-01', 'Converse in Code Inc.', 32864);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('SOTELCO-01', 'Southern Telecommunications Company, LLC.', 32892);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('AMC2', 'Atlantic Metro Communications II, Inc.', 32903);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('KAJEET-ARTERRA-OTARRIS', 'Arterra Mobility', 32904);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('WEDIX', 'WEDIX', 32909);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('SD-175-33036', 'Server Drives', 33036);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('MVSU1950', 'Mississippi Valley State University', 33066);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('COMCAST-33287', ' ', 33287);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('BL-836-33303', 'Buzmo, LLC', 33303);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('COMCAST-33351', ' ', 33351);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('NOCIX', ' ', 33387);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('COMCAST-33490', ' ', 33490);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('COMCAST-33491', ' ', 33491);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('COMCAST-TELECOMM-3', ' ', 33542);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('TUMBLR', 'Oath Holdings Inc.', 33612);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('COMCAST-33650', ' ', 33650);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('CMCS', ' ', 33651);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('CMCS', 'Comcast Cable Communications, LLC', 33652);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('CMCS', ' ', 33653);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('CMCS', ' ', 33654);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('CMCS', ' ', 33655);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('CMCS', ' ', 33656);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('CMCS', ' ', 33658);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('CMCS', ' ', 33659);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('CMCS', ' ', 33662);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('CMCS', ' ', 33663);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('CMCS', ' ', 33664);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('CMCS', ' ', 33665);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('CMCS', ' ', 33666);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('CMCS', ' ', 33667);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('CMCS', ' ', 33668);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('VYVE-BROADBAND', 'Vyve Broadband', 35986);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('AS-HOSTCIRCLE-01', 'HOSTCIRCLE INC.', 36192);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('COMCAST-TELECOMM-5', 'Comcast Cable Communications, LLC', 36196);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('OVERGROUP-1', 'Rev.io', 36200);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('NGI-TRANS-01', 'Nextgi, LLC.', 36232);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('RACKSPACE', 'Rackspace Hosting', 36248);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('TNWEB-LEW-001', 'TNWEB LLC', 36252);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('PATRIOT-MEDIA-NJ', 'Comcast Cable Communications, LLC', 36377);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('WA-ASN', 'Woodward Academy', 36506);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('EVMAGDIA-CL-LT', 'Magnetar Capital LLC', 36582);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('ROGERS-COM-MOB', 'Rogers Communications Canada Inc.', 36676);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('COMCAST-36732', 'Comcast Cable Communications, LLC', 36732);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('DNEO-OSP7', 'Comcast Cable Communications, LLC', 36733);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('CALERES-INC', 'Brown Shoe Company, Inc', 36745);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('ZAYO-NSV', 'Zayo Bandwidth', 36841);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('BRIGHTROLL', 'Oath Holdings Inc.', 39995);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('THINKON-MTL2', 'Think On, Inc.', 40635);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('TE-CONNECTIVITYCORPORATION', 'TE Connectivity Corporation', 40652);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('EQUINOX-PAYMENTS', 'Equinox Payments', 40766);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('CLOUDBUS', 'Join Digital, Inc.', 46088);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('CIMEAST', 'Comcast Cable Communications, LLC', 53297);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('UTOPIA-FIBER', 'UTOPIA', 53407);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('YODLE-AS-1', 'Web.com Group, Inc.', 53433);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('VNB-WAYNE', 'Valley National Bank', 53639);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('VNB-RIDGEFIELD', 'Valley National Bank', 53640);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('TEMPE-UNION-HS-DIST-213', ' ', 53772);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('RPS', ' ', 53833);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('COMPUTERTALK-TORONTO', 'Computer Talk', 54164);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('MHSD76', ' ', 54453);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('EIPS-14', ' ', 54605);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('AS-DBIO', 'Rackspace Hosting', 54636);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('ARVG-62496', 'Arvig Enterprises Inc.', 62496);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('DCCA-WTC', 'NTT DATA Services, LLC', 62609);
INSERT INTO mapping.as_update (asname,description,asnumber) values ('VIRTUSTREAM-VGN-US', 'Virtustream Inc.', 64208);

LOCK TABLE mapping.asinfo IN EXCLUSIVE MODE; 

UPDATE mapping.asinfo real SET asname = tmp.asname, description = tmp.description FROM mapping.as_update tmp WHERE real.asnumber = tmp.asnumber AND NOT real.edited; 

INSERT INTO mapping.asinfo (asname,description,asnumber) SELECT  tmp.asname, tmp.description, tmp.asnumber FROM mapping.as_update tmp LEFT JOIN mapping.asinfo real ON real.asnumber = tmp.asnumber WHERE real.asnumber IS NULL; 

COMMIT;

INSERT INTO framework.db_version(patch_number, patch_date) VALUES(79, current_timestamp);